<?php
/* $Id: index.php 2587 2008-12-26 16:20:31Z vadim $ */

require ("function.inc.php");

//<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
?><html>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=<?=MAIN_ENCODING ?>'>
  <title><?=($title ? $title : "NetCat ".BEGINHTML_VERSION." ".$VERSION_ID." ".$SYSTEM_NAME)?></title>
  <link rel='stylesheet' type='text/css' media='screen' href='<?=$ADMIN_TEMPLATE?>css/main.css'>
  <style type='text/css'>
    font.personal_disabled {
    color: <?=($nc_personal ? '#CCCCCC' : '#000000')?>;
    }
  </style>
  <script type='text/javascript'>
    var NETCAT_PATH = '<?=$SUB_FOLDER.$HTTP_ROOT_PATH?>',
      ADMIN_PATH = '<?=$ADMIN_PATH?>',
      ICON_PATH = '<?=$ADMIN_TEMPLATE?>' + 'img/';
      FIRST_TREE_MODE = '<?=$treeMode?>';
  </script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/lib.js'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/container.js'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/dispatcher.js'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/url_routes.js'></script>
  <?php
    // MODULE URL DISPATCHERS
    $modules = $db->get_results("SELECT `Keyword`, `Module_Name` FROM `Module` ORDER BY `Keyword`", ARRAY_A);
    //ADMIN_LANGUAGE
    foreach ($modules as $module) {
      if (file_exists($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php")) {
        require_once ($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php");
      }
      else {
        require_once ($MODULE_FOLDER.$module['Keyword']."/en.lang.php");
      }
      if (file_exists($MODULE_FOLDER.$module['Keyword']."/url_routes.js")) {
        echo "<script type='text/javascript' src='".$SUB_FOLDER.$HTTP_ROOT_PATH."modules/".$module['Keyword']."/url_routes.js'></script>\n";
      }
    }
    include($ADMIN_FOLDER."modules/module_list.inc.php");
  ?>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/main_view.js'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/drag.js'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/forms.js'></script>
  <script type='text/javascript'>
    var REMIND_SAVE = '<?=$REMIND_SAVE?>';
    var TEXT_SAVE = '<?=NETCAT_REMIND_SAVE_TEXT?>';
    var TEXT_REFRESH = '<?=NETCAT_TAB_REFRESH?>';
  </script>
  </head>
<body>

<table id='wrapperTable' cellpadding='0' cellspacing='0'>
  
  <tr id='trDummyTop'>
    <td id='topLeftPane' style='height:0; width:25%'></td>
    <td  style='height:0; width:7px'></td>
    <td id='topMainContainer'  style='height:0; width:75%'></td>
  </tr>

  <tr id='trHeader'>
    <td id='topHeader' colspan='3' style='vertical-align:top; height:43px; width:100%'>
      <table width='100%' border='0' cellpadding='0' cellspacing='0'>
        <tr valign='middle'>
          <td id='netCatLogo'><a href='#'><img src='<?=$ADMIN_TEMPLATE?>img/logo_netcat.gif' alt='NetCat <?=BEGINHTML_VERSION?> <?=$VERSION_ID?> <?=$SYSTEM_NAME?>' width='108' height='17' border='0'></a><br><span class='system_version'><?=BEGINHTML_VERSION?> <b><?=$VERSION_ID?></b></span> <span class='system_type_<?=$SYSTEM_ID?>'><?=$SYSTEM_NAME?></span></td>
          <td width='100%'>&nbsp;</td>
          <td id='systemLogOut' nowrap>
            <div id='currentUser'>
              <?="<b>".$perm->getLogin()."</b> (".$perm->GetMaxPerm().")";?>
            </div>
           <a href='<?=$SUB_FOLDER.$HTTP_ROOT_PATH?>admin/unauth.php'><?=BEGINHTML_LOGOUT?> <img src='<?=$ADMIN_TEMPLATE?>img/i_logout.gif' alt='<?=BEGINHTML_LOGOUT?>' width='12' height='14' border='0'></a></td>
        </tr>
      </table>
    </td>
  </tr>

  <tr id='trMainMenu'>
    <td id='mainMenuContainer' colspan='3' style='vertical-align:top; height:22px'>
      <div id='mainMenuRight'>
        <?php
          if ( (int)sprintf("%0-3s", $LAST_LOCAL_PATCH)<(int)sprintf("%0-3s", $LAST_PATCH) ) {
            $upd_alt = BEGINHTML_ALARMPATCH;
            $upd_img = 'i_update_active.gif';
          }
          else {
            $upd_alt = BEGINHTML_ALARMPATCHOFF;
            $upd_img = 'i_update.gif';
          }

          if ($ANY_SYSTEM_MESSAGE) {
            $msg_alt = BEGINHTML_ALARMON;
            $msg_img = 'i_sysmsg_active.gif';
          }
          else {
            $msg_alt = BEGINHTML_ALARMOFF;
            $msg_img = 'i_sysmsg.gif';
          }
        ?>
        <div id='mainMenuUpdate'>
          <a href='#tools.patch' title='<?=$upd_alt ?>'><img src='<?=$ADMIN_TEMPLATE?>img/<?=$upd_img ?>' alt='<?=$upd_alt ?>' width='10' height='12' border='0'></a>
        </div>
        <div id='mainMenuMessages'>
          <a href='#tools.systemmessages' title='<?=$msg_alt ?>'><img src='<?=$ADMIN_TEMPLATE?>img/<?=$msg_img ?>' alt='<?=$msg_alt ?>' width='12' height='12' border='0'></a>
        </div>
      </div>
      <div id='mainMenuLeft'>
        <ul id='mainMenu'>
  <?php
    $all_site_admin = $perm->isAccess(NC_PERM_ITEM_SITE, 'viewall', 0, 0);

    //  id  ,      \
    //      ,  \
    //  -   ,      
    $array_id = $perm->GetAllowSite(MASK_ADMIN | MASK_MODERATE, true);
    $sites = $db->get_results("SELECT `Catalogue_ID`, `Catalogue_Name`, `Domain`, `Mirrors`, `Checked`
      FROM `Catalogue`".(is_array($array_id) ? "WHERE `Catalogue_ID` IN(".join(',', (array)$array_id).")" : "")."
      ORDER BY `Priority`", ARRAY_A);

    //    ""
    if ($perm->isAccessSiteMap() || $perm->isGuest() ) {
      print "<li><a href='#'>".SECTION_INDEX_MENU_SITE."</a>".
        "<ul>";
      
      if ($sites) {
        if ($all_site_admin && !$nc_personal) {
          print "<li class='with_separator'><a href='#site.list'>".SECTION_INDEX_SITE_LIST."</a></li>"; //Site list
        }
        foreach ($sites as $site) { // each site
          $image = $site['Checked'] ? 'i_site.gif' : 'i_site_disabled.gif';
          print "<li class='with_separator'><a href='#site.map(".$site['Catalogue_ID'].")'><img src='".$ADMIN_TEMPLATE."img/$image' alt='".$site['Catalogue_Name']."' width='16' height='16'>".$site['Catalogue_Name']."</a></li>";
        }
      }
      
      if ($all_site_admin || $nc_personal) { //add and wizard
        print "<li class='with_separator'><a href='#site.add()'><img src='".$ADMIN_TEMPLATE."img/i_site_add.gif' alt='".$site['Catalogue_Name']."' width='16' height='16'><font class='personal_disabled'>".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWCATALOGUELIST_ADDSITE."</font></a></li>".
          "<li><a href='#site.wizard(1,0)'><img src='".$ADMIN_TEMPLATE."img/i_site_wizard.gif' alt='".SECTION_INDEX_WIZARD_SUBMENU_SITE."' width='16' height='16'><font class='personal_disabled'>".SECTION_INDEX_WIZARD_SUBMENU_SITE."</font></a></li>";	
      }
      
      print "</ul>".
        "</li>";
    } //   ""
                             
    $favorites = GetFavorites();
    if ($favorites) {
      print"<li class='with_separator'><a href='#'>".SECTION_INDEX_MENU_EDIT."</a>".
        "<ul>";

      $catalogue = '';
      foreach ($favorites as $favorite) {
        if ($catalogue != $favorite['Catalogue_ID']) {
          if ($favorite['CatalogueChecked']) {
            $image = 'i_site.gif';
          } else {
            $image = 'i_site_disabled.gif';
          }
          echo "<li class='with_separator'><a href='#site.map(".$favorite['Catalogue_ID'].")'><img src='".$ADMIN_TEMPLATE."img/$image' alt='".$favorite['Catalogue_Name']."' width='16' height='16'><b>".$favorite['Catalogue_Name']."</b></a></li>\n";
          $catalogue = $favorite['Catalogue_ID'];
          $count++;
        }
        $subclass_id = $db->get_var("SELECT Sub_Class_ID
          FROM Sub_Class
          WHERE Subdivision_ID = '".$favorite['Subdivision_ID']."'
          ORDER BY Priority LIMIT 1");
        print "<li class='with_separator'><a href='#".($subclass_id?"object.list($subclass_id)":"subclass.add(".$favorite['Subdivision_ID'].")")."'><img src='".$ADMIN_TEMPLATE."img/i_folder".(!$favorite['SubChecked']?"_disabled":"").".gif' alt='".$favorite['Subdivision_Name']."' width='16' height='16'>".$favorite['Subdivision_Name']."</a></li>";
      }

      print "<li><a href='#favorite.list()'>".SECTION_INDEX_FAVORITE_LIST."</a></li>";
      print "</ul>".
        "</li>";
    }


    if ($perm->isAccessDevelopment() || $perm->isGuest() ){ //Main menu - 'Development'
      $print_result = "<li><a href='#'>".SECTION_INDEX_MENU_DEVELOPMENT."</a>".
        "<ul>";
      if( $perm->isSupervisor() || $perm->isGuest() ) //Access to class
        $print_result .= "<li><a href='#dataclass.list'><img src='".$ADMIN_TEMPLATE."img/i_classes.gif' alt='".SECTION_CONTROL_CLASS_LIST."' width='16' height='16'>".SECTION_CONTROL_CLASS_LIST."</a></li>";
      if( $perm->isSupervisor() || $perm->isGuest() ) //Access to template
        $print_result .= "<li><a href='#template.list'><img src='".$ADMIN_TEMPLATE."img/i_templates.gif' alt='".SECTION_CONTROL_TEMPLATE_SHOW."' width='16' height='16'>".SECTION_CONTROL_TEMPLATE_SHOW."</a></li>";
      if( $perm->isSupervisor() || $perm->isGuest() ) //Access to system table
        $print_result .= "<li><a href='#systemclass.list'><img src='".$ADMIN_TEMPLATE."img/i_sysclasses.gif' alt='".SECTION_CONTROL_CLASS_LIST."' width='16' height='16'>".SECTION_SECTIONS_OPTIONS_SYSTEM."</a></li>";
      if( $perm->isAnyClassificator() || $perm->isGuest() ) //Access to classificator
        $print_result .= "<li><a href='#classificator.list'><img src='".$ADMIN_TEMPLATE."img/i_classificators.gif' alt='".SECTION_CONTROL_CONTENT_CLASSIFICATOR."' width='16' height='16'>".SECTION_CONTROL_CONTENT_CLASSIFICATOR."</a></li>";
      if( $perm->isSupervisor() || $perm->isGuest() ) //Access to classWizard
        $print_result .= "<li class='with_top_separator'><a href='#dataclass.wizard(1,0,0)'><img src='".$ADMIN_TEMPLATE."img/i_class_wizard.gif' alt='123".SECTION_INDEX_WIZARD_SUBMENU_CLASS."' width='16' height='16'><font class='personal_disabled'>".SECTION_INDEX_WIZARD_SUBMENU_CLASS."</font></a></li>";
      $print_result .= "</ul>".
        "</li>";  
      print $print_result;
    } //End  'Development' from Main menu


    if ( $perm->isSupervisor() || $perm->isGuest() ) {
      print "<li><a href='#'>".SECTION_INDEX_MENU_TOOLS."</a>".
        "<ul>";
      if (nc_deep_in_array('stats', $modules)) print "<li><a href='#module.stats'><img src='".$ADMIN_TEMPLATE."img/i_module_stats.gif' alt='".NETCAT_MODULE_STATS."' width='16' height='16'>".NETCAT_MODULE_STATS."</a></li>";
      if (nc_deep_in_array('banner', $modules)) print "<li><a href='#module.banner'><img src='".$ADMIN_TEMPLATE."img/i_module_banner.gif' alt='".NETCAT_MODULE_BANNER."' width='16' height='16'>".NETCAT_MODULE_BANNER."</a></li>";
      if (nc_deep_in_array('search', $modules)) print "<li><a href='#module.search(brokenlinks)'><img src='".$ADMIN_TEMPLATE."img/i_module_search_brokenlinks.gif' alt='".NETCAT_MODULE_SERCH_ADMIN_BROKENLINKS."' width='16' height='16'>".NETCAT_MODULE_SERCH_ADMIN_BROKENLINKS."</a></li>";
      print "<li><a href='#tools.seo(".$HTTP_HOST.")'><img src='".$ADMIN_TEMPLATE."img/i_tool_siteinfo.gif' alt='".NETCAT_SITEINFO_LINK."' width='16' height='16'>".NETCAT_SITEINFO_LINK."</a></li>";
      print "<li class='with_separator'><a href='#user.mail'><img src='".$ADMIN_TEMPLATE."img/i_sendmail.gif' alt='".SECTION_INDEX_USER_USER_MAIL."' width='16' height='16'>".SECTION_INDEX_USER_USER_MAIL."</a></li>
          <li><a href='#tools.sql'><img src='".$ADMIN_TEMPLATE."img/i_tool_sql.gif' alt='".SECTION_SECTIONS_INSTRUMENTS_SQL."' width='16' height='16'><font class='personal_disabled'>".SECTION_SECTIONS_INSTRUMENTS_SQL."</font></a>
          <li class='with_separator'><a href='#tools.html'><font class='personal_disabled'>".SECTION_SECTIONS_INSTRUMENTS_HTML."</font></a>
          <li><a href='#tools.backup'><img src='".$ADMIN_TEMPLATE."img/i_tool_backup.gif' alt='".SECTION_SECTIONS_MODDING_ARHIVES."' width='16' height='16'>".SECTION_SECTIONS_MODDING_ARHIVES."</a></li>
          <li><a href='#tools.patch'>".TOOLS_PATCH."</a></li>
          <li class='with_separator'><a href='#tools.installmodule'><font class='personal_disabled'>".TOOLS_MODULES_MOD_INSTALL."</font></a>
          <li><a href='#tools.totalstat'><img src='".$ADMIN_TEMPLATE."img/i_sys_stat.gif' alt='".SECTION_REPORTS_TOTAL."' width='16' height='16'>".SECTION_REPORTS_TOTAL."</a></li>
          <li><a href='#tools.lastchanges'><img src='".$ADMIN_TEMPLATE."img/i_last_change.gif' alt='".SECTION_REPORTS_LASTCHANGES."' width='16' height='16'>".SECTION_REPORTS_LASTCHANGES."</a></li>
          <li><a href='#tools.systemmessages'>".SECTION_REPORTS_SYSMESSAGES."</a>
        </ul>
      </li>";
      print "<li><a href='#'>".SECTION_INDEX_MENU_SETTINGS."</a>
               <ul>
                 <li><a href='#'><img src='".$ADMIN_TEMPLATE."img/i_user.gif' alt='".SECTION_CONTROL_USER."' width='16' height='16'>".SECTION_CONTROL_USER."</a>
                   <ul>
                     <li><a href='#usergroup.list'><img src='".$ADMIN_TEMPLATE."img/i_usergroups.gif' alt='".SECTION_CONTROL_USER_GROUP."' width='16' height='16'><font class='personal_disabled'>".SECTION_CONTROL_USER_GROUP."</font></a></li>
                     <li><a href='#user.list'><img src='".$ADMIN_TEMPLATE."img/i_user.gif' alt='".SECTION_CONTROL_USER."' width='16' height='16'>".SECTION_CONTROL_USER."</a></li>
                     <li><a href='#user.add'><img src='".$ADMIN_TEMPLATE."img/i_user_add.gif' alt='".CONTROL_USER_REG."' width='16' height='16'><font class='personal_disabled'>".CONTROL_USER_REG."</font></a></li>
                   </ul>
                 </li>
                 <li><a href='#system.settings'><img src='".$ADMIN_TEMPLATE."img/i_settings.gif' alt='".SECTION_SECTIONS_OPTIONS."' width='16' height='16'>".SECTION_SECTIONS_OPTIONS."</a></li>";

      if ($modules) {
      	print "<li><a href='#module.list'><img src='".$ADMIN_TEMPLATE."img/i_modules.gif' alt='".TOOLS_MODULES_LIST."' width='16' height='16'><font class='personal_disabled'>".TOOLS_MODULES_LIST."</font></a>";
      	print "<li><a href='#'><img src='".$ADMIN_TEMPLATE."img/i_modules.gif' alt='".TOOLS_MODULES_SETTINGS."' width='16' height='16'><font class='personal_disabled'>".TOOLS_MODULES_SETTINGS."</font></a>
                 <ul>";
      }
      foreach ($modules as $module) {
        $modImg = file_exists("".$ADMIN_TEMPLATE_FOLDER."img/i_module_".$module['Keyword'].".gif") ? "i_module_".$module['Keyword'].".gif" : "i_modules.gif";
      	print "<li><a href='#module.settings(".$module['Keyword'].")'><img src='".$ADMIN_TEMPLATE."img/".$modImg."' alt='".constant($module['Module_Name'])."' width='16' height='16'><font class='personal_disabled'>".constant($module['Module_Name'])."</font></a>";
    	unset($modImg);
      }
      if ($modules) {
      	print "</ul>";
      }
      print "    <li><a href='#cron.settings'><img src='".$ADMIN_TEMPLATE."img/i_tool_cron.gif' alt='".SECTION_SECTIONS_INSTRUMENTS_CRON."' width='16' height='16'><font class='personal_disabled'>".SECTION_SECTIONS_INSTRUMENTS_CRON."</font></a>
    	     <li><a href='#redirect.settings'><img src='".$ADMIN_TEMPLATE."img/i_tool_redirect.gif' alt='".TOOLS_REDIRECT."' width='16' height='16'>".TOOLS_REDIRECT."</a>
               </ul>
             </li>";
    }

    //   .  ""   
    if ( $perm->isUserMenuShow() ) {
      print "<li><a href='#'>".SECTION_CONTROL_USER."</a>
             <ul>";
      if ($perm->isAccess(NC_PERM_ITEM_GROUP,0, 0, 0 )) {  
             print "<li><a href='#usergroup.list'><img src='".$ADMIN_TEMPLATE."img/i_usergroups.gif' alt='".SECTION_CONTROL_USER_GROUP."' width='16' height='16'>".SECTION_CONTROL_USER_GROUP."</a></li>";
      }
      print "<li>\n
               <a href='#user.list'>\n
               <img src='".$ADMIN_TEMPLATE."img/i_user.gif' alt='".SECTION_CONTROL_USER."' width='16' height='16'>".SECTION_CONTROL_USER."</a>\n
             </li>\n";
      if ($perm->isAccess(NC_PERM_ITEM_USER, NC_PERM_ACTION_ADD, 0, 0)) {            
        print"<li>\n
                <a href='#user.add'>\n
                  <img src='".$ADMIN_TEMPLATE."img/i_user_add.gif' alt='".CONTROL_USER_REG."' width='16' height='16'>".CONTROL_USER_REG."</a>\n
              </li>\n";
      }
      print"        </ul>\n
             </li>";  

    }

      print "<li><a href='#'>".SECTION_INDEX_MENU_HELP."</a>
               <ul>
                 <li><a href='http://docs.netcat.ru/30/' target='_blank'><img src='".$ADMIN_TEMPLATE."img/i_netcathelp.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELP."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELP."</a></li>
                 <li class='with_separator'><a href='http://netcat.ru/support/docs/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_DOC."</a></li>
                 <li><a href='http://netcat.ru/forclients/helpdesk/' target='_blank'><img src='".$ADMIN_TEMPLATE."img/i_helpdesk.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELPDESC."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELPDESC."</a></li>
                 <li><a href='http://netcat.ru/support/ncforum/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_FORUM."</a></li>
                 <li class='with_separator'><a href='http://netcat.ru/dealers/knowledgebase/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_BASE."</a></li>
                 <li><a href='#help.about'>".SECTION_INDEX_HELP_SUBMENU_ABOUT."</a></li>
               </ul>
             </li>";

  ?>
      </ul>
    </div>
  </td>
</tr>

<tr valign='top'>

  <td id='leftPane' style='background:#FAFAF9; width:25%; height:100%'>

    <div id='treeSelector'>
    <ul id='treeSelectorContainer'>
      <li>
        <p id='treeSelectorCaption'><span class='select_mode'><?=NETCAT_TREE_SELECT_MODE ?></span></p>
        <ul id='treeSelectorItems'>
        <?php
          if ( $perm->isAccessSiteMap() || $perm->isGuest() ) {
              echo "<li id='treemode_sitemap' title='".NETCAT_TREE_SITEMAP."'>".
              "<img class='icon' src='".$ADMIN_TEMPLATE."img/i_sitemap.gif' alt='".NETCAT_TREE_SITEMAP."' width='16' height='16' border='0'> ".NETCAT_TREE_SITEMAP.
              "</li>";
          }
          if ( $perm->isAccessDevelopment() || $perm->isGuest() ) {
              echo "<li id='treemode_developer' title='".NETCAT_TREE_DEVELOPER."'>".
              "<img class='icon' src='".$ADMIN_TEMPLATE."img/i_developer.gif' alt='".NETCAT_TREE_DEVELOPER."' width='16' height='16' border='0'> ".NETCAT_TREE_DEVELOPER.
              "</li>";
          }
          if ( $perm->isSupervisor() || $perm->isGuest() ) {
              echo "<li id='treemode_modules' title='".NETCAT_TREE_MODULES."'>".
              "<img class='icon' src='".$ADMIN_TEMPLATE."img/i_modules.gif' alt='".NETCAT_TREE_MODULES."' width='16' height='16' border='0'> ".NETCAT_TREE_MODULES.
              "</li>";
          }
          if ( $perm->isAccess(NC_PERM_ITEM_USER, NC_PERM_ACTION_LIST, 0, 0) ) {
              echo "<li id='treemode_users' title='".NETCAT_TREE_USERS."'>".
              "<img class='icon' src='".$ADMIN_TEMPLATE."img/i_usergroup.gif' alt='".NETCAT_TREE_USERS."' width='16' height='16' border='0'> ".NETCAT_TREE_USERS.
              "</li>";
          }
        ?>
        </ul>
      </li>
    </ul>
    </div>

    <div id='treeFrameFixOpera' style='height:100%'>
      <iframe name='treeIframe' id='treeIframe' style='width:100%; height:100%' frameborder='0'></iframe>
    </div>

  </td>

<td id='slider'>
   <div id='slideBar'></div>
</td>

<td width='75%' style='height:100%' id='mainContainer'>

  <table id='mainView' border='0' cellspacing='0' cellpadding='0' width='100%' style='height:100%'>
  	<tr>
  	  <td id='mainViewHeader'></td>
  	</tr>
  	<tr>
  	  <td class='main_view_tabs' id='mainViewTabsBlock'>
  	    <div class='before_tabs'></div>
  	    <div class='between_tabs'></div>
  	    <span id='mainViewTabs'></span>
  	    <div class='after_tabs'></div>
  	  </td>
  	</tr>
  	<tr>
      <td class='toolbar'><div id='mainViewToolbar'></div></td>
    </tr>
  	<tr>
  	  <td valign='top' id='mainViewContent' style='height:100%'>
  	    <iframe style='width:100%; height:100%' id='mainViewIframe' name='mainViewIframe' frameborder='0'></iframe>
  	  </td>
  	</tr>
  	<tr>
      <td class='main_view_buttons' id='mainViewButtons'></td>
    </tr>
  </table>

</td>
</tr>
</table>

<div id='loginDialog' class="fs_dialog" style='display:none'>
   <div class='box'>
      <form name='loginForm' id='loginForm' action=''>
        <table border=0 cellpadding=4 cellspacing=0>
          <tr>
            <td><?=CONTROL_AUTH_HTML_LOGIN?>:</td>
            <td><input type='text' name='login' value='<?echo $AUTH_USER?>'></td>
          </tr>
          <tr>
            <td><?=CONTROL_AUTH_HTML_PASSWORD?>:</td>
            <td><input type='password' name='password'></td>
          </tr>
          <tr>
            <td colspan='2'><input type='button' onclick='loginFormPost()' value='<?=CONTROL_AUTH_HTML_AUTH?>'></td>
          </tr>
        </table>
      </form>
   </div>
   <div class='shadow'></div>
</div>

<div id='messageToSubdivisionDialog' class="fs_dialog" style='display:none'>
   <div class='box'>
     <iframe id='messageToSubdivisionIframe' style='height:100%' width='100%' frameborder='0'></iframe>
   </div>
   <div class='shadow'></div>
</div>
 
</body>

</html>
