<?php

function CheckForNewPatch () {
global $LAST_LOCAL_PATCH,$LAST_PATCH,$PATCH_CHECK_DATE,$SYSTEM_ID,$VERSION_ID;
global $IsInsideAdmin;

	$IsInsideAdmin = 1;
	LoadSettings();

	/*if ($LAST_LOCAL_PATCH<$LAST_PATCH)
	{
	nc_print_status("<b>".TOOLS_PATCH_INFO_NEW." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
	}
	else
	{
	nc_print_status(TOOLS_PATCH_INFO_NONEW, 'info');
	}*/
}


function CopyFiles() {
global $TMP_FOLDER, $DOCUMENT_ROOT, $SUB_FOLDER;

	$FileWithFileList = "files.txt";
	$COPY_FOLDER = $DOCUMENT_ROOT.$SUB_FOLDER;

	#   ,   
	$result = array("files" => 0, "total" => 0);
	
	$fpAny = fopen ($TMP_FOLDER.$FileWithFileList, "r");

	while ( !feof($fpAny) ) {
		$file_name = chop( fgets($fpAny, 4096) );
		if ( strlen($file_name)==0 ) break;

		$directory = dirname($file_name);

		$tmpDirectory = $COPY_FOLDER;
		$tok = strtok($directory, "/");
		while ($tok) {
			$tmpDirectory.= "/".$tok;
			@mkdir($tmpDirectory, 0775);
			$tok = strtok("/");
		}
		$file_copied = @copy($TMP_FOLDER.$file_name, $COPY_FOLDER."/".$file_name);
		if ($file_copied) $result["files"]++;
	
	$result["total"]++;
	}
	fclose($fpAny);
	
return $result;
}


function CreatLinks() {
global $TMP_FOLDER, $DOCUMENT_ROOT, $SUB_FOLDER;

	$File = "symlinks.txt";
	$COPY_FOLDER = $DOCUMENT_ROOT.$SUB_FOLDER;
	
	#   ,   
	$result = array("links" => 0, "total" => 0);

	$fp = fopen($TMP_FOLDER.$File, "r");

	while ( !feof($fp) ) {
		$string = chop( fgets($fp, 4096) );
		if ( strlen($string)==0 ) break;
		$From = strtok($string, " ");
		$To = strtok(" ");
		$directory = dirname($To);

		$tmpDirectory = $COPY_FOLDER;
		$tok = strtok($directory, "/");
		while ($tok) {
			$tmpDirectory.= "/".$tok;
			@mkdir($tmpDirectory, 0775);
			$tok = strtok("/");
		}
		#  Windows-    .
		$linked = @symlink($COPY_FOLDER."/".$From, $COPY_FOLDER."/".$To);
		if ($linked) $result["links"]++;
	
	$result["total"]++;
	}
	fclose($fp);

return $result;	
}


function LoadID() {
global $TMP_FOLDER, $db;
global $PatchName, $SystemID, $VersionID, $Description;

	$FileID = "id.txt";
	if ( !file_exists($TMP_FOLDER.$FileID) ) return false;

	$fp = fopen ($TMP_FOLDER.$FileID, "r");
	$PatchName = chop( fgets($fp, 4096) );
	$SystemID = chop( fgets($fp, 4096) );
	$VersionID = chop( fgets($fp, 4096) );
	$Description = chop( fgets($fp, 4096) );
	
	fclose($fp);
}

/*
  *    changelog.txt,    
  * @param string $file_name    changelog
  * @return string  
  */
function nc_patch_changelog($file_name = "") {
  global $TMP_FOLDER;

	$result = false;
	$changelog_arr = array();
	if (!$file_name) {
		$int_pref = (defined("MAIN_LANG") && MAIN_LANG=="ru" ? "" : "_int");
		$file_name = "changelog".$int_pref.".txt";
	}
	
	if ( !file_exists($TMP_FOLDER.$file_name) ) return false;

	$result = file_get_contents($TMP_FOLDER.$file_name);
	$result = htmlspecialchars($result);
	
  return $result;
}

function nc_patch_requset_data () {
  global $db;
  
  $sys = $db->get_row("SELECT s.`SystemID`, s.`ProductNumber`, s.`Code`, p.`Patch_Name` AS PatchVersion
    FROM `Settings` AS s, `Patch` AS p
    ORDER BY p.`Patch_Name` DESC LIMIT 1", ARRAY_A);
  
  $mod = $db->get_col("SELECT `Keyword` FROM `Module`");
  
  $response = "<?xml version='1.0' encoding='UTF-8'?>\n".
  "<netcat>\n".
    "<reason>update</reason>\n".
    "<version>\n".
      "<patch>".$sys['PatchVersion']."</patch>\n".
      "<name>".$sys['SystemID']."</name>\n".
    "</version>\n".
    "<core>".$sys['ProductNumber']."</core>\n".
    "<code>".$sys['Code']."</code>\n".
    "<host>\n".
      "<ip>".$_SERVER["SERVER_ADDR"]."</ip>\n".
      "<url>".$_SERVER["HTTP_HOST"]."</url>\n".
    "</host>\n".
    "<modules>\n";
    if ( !empty($mod) ) {
      foreach ($mod as $value) {
        $response.=
        "<module>\n".
          "<number></number>\n".
          "<name>".$value."</name>\n".
        "</module>\n";
      }
    }
  $response.= 
    "</modules>\n".
  "</netcat>\n";
  
  return $response;
}

function nc_patch_get_patch () {
  global $db, $TMP_FOLDER;
  
  $url = "http://update.netcat.ru/";
  $data = nc_patch_requset_data();
  $result = array();
  
  $options = array (
    "http" => array (
      "method" => "POST",
      "header" => "Content-type: application/x-www-form-urlencoded\n"
        ."Content-Length: ".strlen($data)."\n",
      "content" => $data
    )
  );

  $context = stream_context_create($options);
  
  // get data from update server
  $request = @file_get_contents($url, false, $context);
  // parse requested data
  if ($request) {
    $parser = xml_parser_create();
    xml_parse_into_struct($parser, $request, $values, $indexes);
    xml_parser_free($parser);
  }
  else {
    nc_print_status(TOOLS_PATCH_ERROR_UPDATE_SERVER_NOT_AVAILABLE, "error");
    return "";
  }
  // check
  if ( empty($values) ) return "";
  // result flat array
  foreach ($values as $value) {
    if ($value['type']!="complete") continue;
    $result[ $value['tag'] ] = $value['value'];
  }
  
  // if operation result (success or failed)
  if ($result['OPERATION']=="success") {
    if ($result['CODE']) $db->query("UPDATE `Settings` SET `Code` = '".$db->escape($result['CODE'])."'");
  }
  else {
    switch (true) {
      case extension_loaded("mbstring"):
        $comment = mb_convert_encoding($comment, $CHARSET, "UTF-8");
        nc_print_status( mb_convert_encoding($result['MESSAGE'], MAIN_ENCODING, "UTF-8"), "error" );
      break;
      case extension_loaded("iconv"):
        nc_print_status( iconv("UTF-8", MAIN_ENCODING, $result['MESSAGE']), "error" );
      break;
    }
  }
  
  // get patch file data
  if ($result['LINK']) $update_file = @file_get_contents($result['LINK']);
  // write file on disk
  if ( $update_file ) {
    // set patch file temp name
    $patch_file_name = "update_".md5( microtime() ).".tgz";
    // write data into the file
    if ( file_put_contents($TMP_FOLDER.$patch_file_name, $update_file) ) { 
      $result['_FILE'] = $patch_file_name;
      // return file name
      return $result;
    }
  }
  else {
    nc_print_status(TOOLS_PATCH_ERROR_UPDATE_FILE_NOT_AVAILABLE, "error");
  }
  
  return "";
}

function nc_patch_check_files_by_list ($filepath) {
  global $SUB_FOLDER, $DOCUMENT_ROOT;
  global $DIRCHMOD, $FILECHMOD;
  
  if ( !file_exists($filepath) ) return false;
  
  $files = file($filepath);
  
  foreach ($files as $file) {
    // file and his dir path
    $file_full_path = $DOCUMENT_ROOT.$SUB_FOLDER.$file;
    $dir_full_path = str_replace( basename($file_full_path), "", $file_full_path );
    // set access mode
    if ( is_file($file_full_path) ) {
      @chmod($file_full_path, $FILECHMOD);
    }
    else {
      @chmod($dir_full_path, $DIRCHMOD);
    }
    // check writable
    if ( !is_writable($file_full_path) ) {
      if ( file_exists($file_full_path) ) {
        // file exist and not writable
        return false;
      }
      else {
        // file not exist
        if ( is_writable($dir_full_path) ) {
          // dir for new file writable
          return true;
        }
        else {
          // dir for new file not writable
          return false;
        }
      }
    }
  }
  
  return true;
}

function LoadRequired() {
global $TMP_FOLDER, $db, $Required;

	$FileRequired = "required.txt";
	$fp = fopen($TMP_FOLDER.$FileRequired, "r");
	while ( !feof($fp) ) {
		$buffer = chop( fgets($fp, 4096) );
		if (strlen($buffer) > 0) {
			$Required[] = $buffer;
		}
		else {
			break;
		}
	}

	fclose ($fp);
}


function CheckDeps() {
global $TMP_FOLDER, $db, $Required;
global $PatchName, $SystemID, $VersionID, $Description;

	$ReturnValue = 1;
	LoadID();
	LoadRequired();

	$Array = $db->get_col("SELECT `Patch_Name` FROM `Patch`");

	while ( @list($key, $val) = each($Required) ) {
		$cmp = 0;
		for ($i=0; $i<count($Array); $i++) {
			if ( strcmp( (int)sprintf("%0-3s", $Array[$i]), (int)sprintf("%0-3s", $val) )==0 ) {
				$cmp++;
				break;
			}
		}
		if ($cmp==0) {
			print TOOLS_MODULES_ERR_PATCH." ".$val.".<br>\r\n";
			$ReturnValue = 0;
		}
	}
	
return $ReturnValue;
}


function PatchList() {
global $db;

	$result = $db->get_results("SELECT `Patch_Name`, date_format(`Created`, '%d.%m.%Y') AS Time, `Description` FROM `Patch`", ARRAY_A);
	
	if ($result) {
		?>
		<table border='0' cellpadding='0' cellspacing='0' width='100%'>
			<tr>
				<td bgcolor='#CCCCCC'>
				<table border='0' cellpadding='4' cellspacing='1' width='100%'>
					<tr>
						<td bgcolor='#EEEEEE'><font size='-2'><b>ID</b></td>
						<td bgcolor='#EEEEEE'><font size='-2'><b><?=TOOLS_PATCH_LIST_DATE?></b></td>
						<td bgcolor='#EEEEEE' width='60%'><font size='-2'><b><?=CONTROL_FIELD_LIST_DESCRIPTION?></b></td>
					</tr>
		<?php
		foreach ($result AS $value) {
			?>
					<tr>
						<td bgcolor='#FFFFFF'><font size='-2'><b><?=$value['Patch_Name']?></b></td>
						<td bgcolor='#FFFFFF'><font size='-2'><?=$value['Time']?></b></td>
						<td bgcolor='#FFFFFF'><font size='-2'><?=$value['Description']?></b></td>
					</tr>
			<?php
		}
		?>
				</table>
				</td>
			</tr>
		</table>
		<?php
	}
}


function InstallationAborted($msg) {
global $TMP_FOLDER;

	nc_print_status($msg."<br>".TOOLS_PATCH_ERR_CANTINSTALL.".", "error");
	DeleteFilesInDirectory($TMP_FOLDER);
	PatchForm();
	PatchList();
	EndHtml();
	exit;

}


function PatchForm() {
  global $db, $UI_CONFIG;
  global $LAST_PATCH, $LAST_LOCAL_PATCH, $PATCH_CHECK_DATE;
  global $SYSTEM_ID,$VERSION_ID;

	//   , -     3 
	if ( (int)sprintf("%0-3s", $LAST_LOCAL_PATCH)>=(int)sprintf("%0-3s", $LAST_PATCH) ) {
		nc_print_status(TOOLS_PATCH_MSG_OK, "ok");
		$need_update = "false";
	}
	else {
		nc_print_status("<b>".TOOLS_PATCH_INFO_NOTINSTALLED." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
		$need_update = "true";
	}

	echo "<script type='text/javascript'>top.updateUpdateIndicator(".$need_update.")</script>";

	echo TOOLS_PATCH_INFO_LASTCHECK." <b>".$PATCH_CHECK_DATE."</b> (<a href='?phase=3'>".TOOLS_PATCH_INFO_REFRESH."</a>)";

	?>
	<br><br>
  	<form enctype='multipart/form-data' action='index.php' method='post'>
		<fieldset>
		<legend>
			<font color='gray'><b><?=TOOLS_PATCH_INSTALL_ONLINE?></b></font>
		</legend>
    <div style='margin:10px 5px'>
      <button name='AutoPatch'<?=($need_update=="false" ? " disabled" : "")?>><?=TOOLS_PATCH_INFO_INSTALL?></button>
    </div>
    </fieldset>
		<input type='hidden' name='phase' value='4'>
		<input type='submit' class='hidden'>
	</form>
  
	<form enctype='multipart/form-data' action='index.php' method='post'>
		<input type='hidden' name='MAX_FILE_SIZE' value='2097152'>
    <fieldset>
		<legend>
			<font color='gray'><b><?=TOOLS_PATCH_INSTALL_LOCAL?></b></font>
		</legend>
		<div style='margin:10px 5px'>
      <input size='40' name='FilePatch' type='file'>
      <button><?=CONTROL_CLASS_IMPORT_UPLOAD?></button>
		</div>
    </fieldset>
    <br>
		<input type='hidden' name='phase' value='2'>
		<input type='submit' class='hidden'>
	</form>
	<?php
}


function IsAlreadyInstalled() {
global $db, $PatchName;

	if ($db->get_var("SELECT `Patch_Name` FROM `Patch` WHERE `Patch_Name` = '".$PatchName."'")) return 1;
	
return 0;
}

?>