<?php
/* $Id: password_recovery.php 2584 2008-12-26 16:04:32Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require_once ($ROOT_FOLDER."connect_io.php");
list($catalogue, $sub) = $db->get_row("SELECT sub.Catalogue_ID, sub.Subdivision_ID FROM Subdivision AS sub WHERE sub.ExternalURL = '".$db->escape( $parsed_url['path'].($parsed_url['query'] ? '?'.$parsed_url['query'] : '') )."'",ARRAY_N);
if (!$sub && isset($_GET['sub'])) $sub = (int)$_GET['sub'];
require($INCLUDE_FOLDER."index.php");
require($ADMIN_FOLDER."admin.inc.php");

eval("echo \"$template_header\";");

if ($AUTH_USER_ID) // check if user is a guest (deny password recovery then)
{
   $is_guest = $db->get_var("SELECT COUNT(*)
                             FROM Permission
                            WHERE User_ID='$AUTH_USER_ID'
                              AND AdminType=8");
 
   if ($is_guest) {
      nc_print_status(NETCAT_MODERATION_ERROR_NORIGHT, 'error');
      eval("echo \"$template_footer\";");
      exit;
   }
}


if (isset($_GET['uid']) && isset($_GET['ucc'])) {
	
	$uid = (int)$_GET['uid'];
	$confirm_code = $db->get_var("SELECT RegistrationCode FROM User WHERE User_ID = '$uid'");
	
	if ($confirm_code == md5($_GET['ucc'].';-$')) {				
		ChangePasswordForm();		
	} else {
		nc_print_status(NETCAT_MODULE_AUTH_NEWPASS_ERROR, 'error');
	}
	eval("echo \"$template_footer\";");
	exit();
}

$fromname = $system_env['SpamFromName'];
$fromemail = $system_env['SpamFromEmail'];
$SPAM_MAIL = $system_env['UserEmail'];

if (!$SPAM_MAIL) $err = NETCAT_MODULE_AUTH_ERR_NOFIELDSET;

$EmailField = $SPAM_MAIL;

if ($post) {
  if (!$Login && !$Email) {
    $err = NETCAT_MODULE_AUTH_MSG_FILLFIELD;
  } elseif ($Login && !$Email) {
    if (!preg_match("/^[[:alnum:] 0-9_-]+$/i", $Login)) $err = NETCAT_MODULE_AUTH_MSG_INVALID_LOGIN_FORMAT;
    $res = $db->get_row("SELECT User_ID, {$EmailField} FROM User WHERE {$AUTHORIZE_BY}='{$Login}'",ARRAY_N);
	if (!$db->num_rows) {
      $err = NETCAT_MODULE_AUTH_ERR_NOUSERFOUND;
	} else {
      list($UserID, $UserEmail) = $res;
	}
  } elseif ((!$Login && $Email) || ($Login && $Email)) {
    if (!preg_match("/^[a-z0-9\a\a\o._-]+@[a-z0-9\a\a\o.-]+\.[a-z]{2,6}$/i", $Email)) $err = NETCAT_MODULE_AUTH_MSG_INVALID_EMAIL_FORMAT;
    else {
      $res = $db->get_row("SELECT User_ID, {$EmailField} FROM User WHERE {$EmailField}='{$Email}'", ARRAY_N);
      if (!$db->num_rows) {
        $err = NETCAT_MODULE_AUTH_ERR_NOUSERFOUND;
      } else {
        list($UserID, $UserEmail) = $res;
      }
    }
  } else {
    $err = NETCAT_MODULE_AUTH_MSG_FILLFIELD;
  }
}

if (!$post || $err) {
  nc_print_status($err, 'error');
  PasswordRecoveryForm();
} else {
  $user_login = $db->get_var("SELECT {$AUTHORIZE_BY} FROM User WHERE User_ID='{$UserID}' LIMIT 1");
  $confirm_code = sha1(uniqid(time() - rand()));
  $confirm_link = "http://{$HTTP_HOST}{$SUB_FOLDER}{$HTTP_ROOT_PATH}modules/auth/password_recovery.php?sub=$sub&uid={$UserID}&ucc={$confirm_code}";
  $message_body = $db->get_var("SELECT Value FROM Auth_Settings WHERE SettingsKey = 'MailPassRecoveryText'");
  $message_subj = $db->get_var("SELECT Value FROM Auth_Settings WHERE SettingsKey = 'MailPassRecoverySubj'");
  $IsHtml = $db->get_var("SELECT Value FROM Auth_Settings WHERE SettingsKey = 'MailPassRecoveryIsHtml'");
  
  $db->query("UPDATE User SET RegistrationCode = '".md5($confirm_code.';-$')."' WHERE User_ID = '{$UserID}'");
  
  $message_body = str_replace('%USER_LOGIN', $user_login, $message_body);
  $message_body = str_replace('%CONFIRM_LINK', $confirm_link, $message_body);

  $mailer = new CMIMEMail();
  if ($IsHtml) $mailer->mailbody(strip_tags($message_body), $message_body);
  else $mailer->mailbody($message_body);
  $mailer->send($UserEmail, $fromemail, $fromemail, $message_subj, $fromname);
  
  nc_print_status(NETCAT_MODULE_AUTH_MSG_NEWPASSSENDED, 'ok');
}

eval("echo \"$template_footer\";");

?>